## SetRole **post** `/gitpod.v1.OrganizationService/SetRole` Manages organization membership and roles by setting a user's role within the organization. Use this method to: - Promote members to admin role - Change member permissions - Demote admins to regular members ### Examples - Promote to admin: Makes a user an organization administrator. ```yaml organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" userId: "f53d2330-3795-4c5d-a1f3-453121af9c60" role: ORGANIZATION_ROLE_ADMIN ``` - Change to member: Changes a user's role to regular member. ```yaml organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" userId: "f53d2330-3795-4c5d-a1f3-453121af9c60" role: ORGANIZATION_ROLE_MEMBER ``` ### Body Parameters - `organizationId: string` - `userId: string` - `role: optional OrganizationRole` - `"ORGANIZATION_ROLE_UNSPECIFIED"` - `"ORGANIZATION_ROLE_ADMIN"` - `"ORGANIZATION_ROLE_MEMBER"` ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/SetRole \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047", "userId": "f53d2330-3795-4c5d-a1f3-453121af9c60" }' ``` #### Response ```json {} ```